Approve a creative
curl --request POST \
--url https://api.framen.com/vendor/{org_token}/cars/{car_id}/approveimport requests
url = "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyApprove a creative
Approve a Creative Approval Request.
POST
/
vendor
/
{org_token}
/
cars
/
{car_id}
/
approve
Approve a creative
curl --request POST \
--url https://api.framen.com/vendor/{org_token}/cars/{car_id}/approveimport requests
url = "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.framen.com/vendor/{org_token}/cars/{car_id}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyApprove a creative
Approve a Creative Approval Request, making the creative eligible for delivery on your screens. Once approved, the creative becomes available for active campaign scheduling.Request Body
No request body is required. The approval action is performed based on the path parameters alone.Response
Returns the updated CAR object with status changed toapproved and the updated_at timestamp reflecting the approval action.
Example Request
curl -X POST "https://api.framen.com/vendor/Org_4KmTqZnWpLx/cars/car_Xy7Kp2mN9qR4/approve" \
-H "Content-Type: application/json"
Last modified on April 17, 2026